## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global commit e9deec8231c0d1f99a8f1615b6cefdd493da4411
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global headerversion 1.35.2
Name:           janet
Version:        1.35.2^20240907git%{shortcommit}
Release:        %autorelease
Summary:        A dynamic language and bytecode vm

License:        MIT
URL:            https://janet-lang.org
Source0:        https://github.com/janet-lang/janet/archive/%{commit}/%{name}-%{shortcommit}.tar.gz

BuildRequires:  gcc
BuildRequires:  meson

%description
Janet makes a good system scripting language, or a language
to embed in other programs. It's like Lua and GNU Guile in
that regard. It has more built-in functionality and a richer
core language than Lua, but smaller than GNU Guile or Python.
However, it is much easier to embed and port than Python or
Guile.

There is a REPL for trying out the language, as well as the
ability to run script files. This client program is separate
from the core runtime, so Janet can be embedded in other
programs. Try Janet in your browser at https://janet-lang.org.

%package devel
Summary:   A dynamic language and bytecode vm
Requires:  %{name}%{?_isa} = %{version}-%{release}

%description devel
Development files for Janet.


%prep
%autosetup -n %{name}-%{commit}
rm examples/numarray/.gitignore

%build
%meson --buildtype=release -Ddefault_library=shared
%meson_build
# Create HTML documentation file
%{_vpath_builddir}/janet tools/gendoc.janet  > doc.html

%install
%meson_install
# Amalgamated janet.c file is used to embed Janet in C applications
mkdir -p %{buildroot}/%{_libdir}/janet
install -Dm644 %{_builddir}/%{name}-%{commit}/%{_vpath_builddir}/janet.c \
 %{buildroot}/%{_libdir}/janet/janet.c
install -Dm644 src/conf/janetconf.h %{buildroot}/%{_includedir}/janetconf.h
# Do not package hidden file
rm %{buildroot}/%{_libdir}/janet/.keep

%check
%meson_test

%files
%license LICENSE
%doc README.md
%doc CHANGELOG.md
%doc doc.html
%doc examples/
%{_mandir}/man1/janet.1*
%{_bindir}/janet
%{_libdir}/libjanet.so.1.*

%files devel
%{_libdir}/pkgconfig/janet.pc
%{_includedir}/janet.h
%{_includedir}/janetconf.h
%{_libdir}/libjanet.so
%dir %{_includedir}/janet
%{_includedir}/janet/janet.h
%{_includedir}/janet/janet_%{headerversion}.h
%dir %{_libdir}/janet
%{_libdir}/janet/janet.c

%changelog
## START: Generated by rpmautospec
* Fri Jan 17 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.35.2^20240907gite9deec8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sun Sep 08 2024 Benson Muite <benson_muite@emailplus.org> - 1.35.2^20240907gite9deec8-1
- Bug fix for s390x

* Mon Sep 02 2024 Tomasz Hołubowicz <mail@alternateved.com> - 1.35.2-1
- Update to 1.35.2

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.33.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Jan 29 2024 Benson Muite <benson_muite@emailplus.org> - 1.33.0-1
- Update to 1.33.0

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.32.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.32.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Nov 07 2023 Benson Muite <benson_muite@emailplus.org> - 1.32.1-1
- Initial import BZ 2245348
## END: Generated by rpmautospec
